Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.query.impl
Class RegistryObjectQueryTypeImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ohf.ihe.common.ebxml._3._0.query.impl.FilterQueryTypeImpl
                      org.eclipse.ohf.ihe.common.ebxml._3._0.query.impl.RegistryObjectQueryTypeImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, FilterQueryType, RegistryObjectQueryType

Direct Known Subclasses:
  AdhocQueryQueryTypeImpl, AssociationQueryTypeImpl, ClassificationNodeQueryTypeImpl, ClassificationQueryTypeImpl, ClassificationSchemeQueryTypeImpl, ExternalIdentifierQueryTypeImpl, ExternalLinkQueryTypeImpl, ExtrinsicObjectQueryTypeImpl, FederationQueryTypeImpl, NotificationQueryTypeImpl, OrganizationQueryTypeImpl, PersonQueryTypeImpl, RegistryPackageQueryTypeImpl, RegistryQueryTypeImpl, ServiceBindingQueryTypeImpl, ServiceQueryTypeImpl, SpecificationLinkQueryTypeImpl, SubscriptionQueryTypeImpl

    public class RegistryObjectQueryTypeImpl

extends FilterQueryTypeImpl
implements RegistryObjectQueryType

An implementation of the model object 'Registry Object Query Type'.

The following features are implemented:

- `Slot Branch`
- `Name Branch`
- `Description Branch`
- `Version Info Filter`
- `Classification Query`
- `External Identifier Query`
- `Object Type Query`
- `Status Query`
- `Source Association Query`
- `Target Association Query`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetDescriptionBranch(InternationalStringBranchType newDescriptionBranch, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetNameBranch(InternationalStringBranchType newNameBranch, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetObjectTypeQuery(ClassificationNodeQueryType newObjectTypeQuery, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetStatusQuery(ClassificationNodeQueryType newStatusQuery, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetVersionInfoFilter(FilterType newVersionInfoFilter, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`org.eclipse.emf.common.util.EList` | `getClassificationQuery()`
`InternationalStringBranchType` | `getDescriptionBranch()`
`org.eclipse.emf.common.util.EList` | `getExternalIdentifierQuery()`
`InternationalStringBranchType` | `getNameBranch()`
`ClassificationNodeQueryType` | `getObjectTypeQuery()`
`org.eclipse.emf.common.util.EList` | `getSlotBranch()`
`org.eclipse.emf.common.util.EList` | `getSourceAssociationQuery()`
`ClassificationNodeQueryType` | `getStatusQuery()`
`org.eclipse.emf.common.util.EList` | `getTargetAssociationQuery()`
`FilterType` | `getVersionInfoFilter()`
`void` | `setDescriptionBranch(InternationalStringBranchType newDescriptionBranch)`
`void` | `setNameBranch(InternationalStringBranchType newNameBranch)`
`void` | `setObjectTypeQuery(ClassificationNodeQueryType newObjectTypeQuery)`
`void` | `setStatusQuery(ClassificationNodeQueryType newStatusQuery)`
`void` | `setVersionInfoFilter(FilterType newVersionInfoFilter)`

Methods inherited from class org.eclipse.ohf.ihe.common.ebxml._3._0.query.impl.FilterQueryTypeImpl
`basicSetPrimaryFilter, getPrimaryFilter, setPrimaryFilter`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.query.FilterQueryType
`getPrimaryFilter, setPrimaryFilter`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getSlotBranch

    public org.eclipse.emf.common.util.EList getSlotBranch()

  Specified by:
    `getSlotBranch` in interface `RegistryObjectQueryType`
  Returns:
    the value of the 'Slot Branch' containment reference list.
  See Also:
    `QueryPackage.getRegistryObjectQueryType_SlotBranch()`

### getNameBranch

    public InternationalStringBranchType getNameBranch()

  Specified by:
    `getNameBranch` in interface `RegistryObjectQueryType`
  Returns:
    the value of the 'Name Branch' containment reference.
  See Also:
    `RegistryObjectQueryType.setNameBranch(InternationalStringBranchType)`, `QueryPackage.getRegistryObjectQueryType_NameBranch()`

### basicSetNameBranch

    public org.eclipse.emf.common.notify.NotificationChain basicSetNameBranch(InternationalStringBranchType newNameBranch,
                                                                              org.eclipse.emf.common.notify.NotificationChain msgs)

### setNameBranch

    public void setNameBranch(InternationalStringBranchType newNameBranch)

  Specified by:
    `setNameBranch` in interface `RegistryObjectQueryType`
  Parameters:
    `newNameBranch` - the new value of the 'Name Branch' containment reference.
  See Also:
    `RegistryObjectQueryType.getNameBranch()`

### getDescriptionBranch

    public InternationalStringBranchType getDescriptionBranch()

  Specified by:
    `getDescriptionBranch` in interface `RegistryObjectQueryType`
  Returns:
    the value of the 'Description Branch' containment reference.
  See Also:
    `RegistryObjectQueryType.setDescriptionBranch(InternationalStringBranchType)`, `QueryPackage.getRegistryObjectQueryType_DescriptionBranch()`

### basicSetDescriptionBranch

    public org.eclipse.emf.common.notify.NotificationChain basicSetDescriptionBranch(InternationalStringBranchType newDescriptionBranch,
                                                                                     org.eclipse.emf.common.notify.NotificationChain msgs)

### setDescriptionBranch

    public void setDescriptionBranch(InternationalStringBranchType newDescriptionBranch)

  Specified by:
    `setDescriptionBranch` in interface `RegistryObjectQueryType`
  Parameters:
    `newDescriptionBranch` - the new value of the 'Description Branch' containment reference.
  See Also:
    `RegistryObjectQueryType.getDescriptionBranch()`

### getVersionInfoFilter

    public FilterType getVersionInfoFilter()

  Specified by:
    `getVersionInfoFilter` in interface `RegistryObjectQueryType`
  Returns:
    the value of the 'Version Info Filter' containment reference.
  See Also:
    `RegistryObjectQueryType.setVersionInfoFilter(FilterType)`, `QueryPackage.getRegistryObjectQueryType_VersionInfoFilter()`

### basicSetVersionInfoFilter

    public org.eclipse.emf.common.notify.NotificationChain basicSetVersionInfoFilter(FilterType newVersionInfoFilter,
                                                                                     org.eclipse.emf.common.notify.NotificationChain msgs)

### setVersionInfoFilter

    public void setVersionInfoFilter(FilterType newVersionInfoFilter)

  Specified by:
    `setVersionInfoFilter` in interface `RegistryObjectQueryType`
  Parameters:
    `newVersionInfoFilter` - the new value of the 'Version Info Filter' containment reference.
  See Also:
    `RegistryObjectQueryType.getVersionInfoFilter()`

### getClassificationQuery

    public org.eclipse.emf.common.util.EList getClassificationQuery()

  Specified by:
    `getClassificationQuery` in interface `RegistryObjectQueryType`
  Returns:
    the value of the 'Classification Query' containment reference list.
  See Also:
    `QueryPackage.getRegistryObjectQueryType_ClassificationQuery()`

### getExternalIdentifierQuery

    public org.eclipse.emf.common.util.EList getExternalIdentifierQuery()

  Specified by:
    `getExternalIdentifierQuery` in interface `RegistryObjectQueryType`
  Returns:
    the value of the 'External Identifier Query' containment reference list.
  See Also:
    `QueryPackage.getRegistryObjectQueryType_ExternalIdentifierQuery()`

### getObjectTypeQuery

    public ClassificationNodeQueryType getObjectTypeQuery()

  Specified by:
    `getObjectTypeQuery` in interface `RegistryObjectQueryType`
  Returns:
    the value of the 'Object Type Query' containment reference.
  See Also:
    `RegistryObjectQueryType.setObjectTypeQuery(ClassificationNodeQueryType)`, `QueryPackage.getRegistryObjectQueryType_ObjectTypeQuery()`

### basicSetObjectTypeQuery

    public org.eclipse.emf.common.notify.NotificationChain basicSetObjectTypeQuery(ClassificationNodeQueryType newObjectTypeQuery,
                                                                                   org.eclipse.emf.common.notify.NotificationChain msgs)

### setObjectTypeQuery

    public void setObjectTypeQuery(ClassificationNodeQueryType newObjectTypeQuery)

  Specified by:
    `setObjectTypeQuery` in interface `RegistryObjectQueryType`
  Parameters:
    `newObjectTypeQuery` - the new value of the 'Object Type Query' containment reference.
  See Also:
    `RegistryObjectQueryType.getObjectTypeQuery()`

### getStatusQuery

    public ClassificationNodeQueryType getStatusQuery()

  Specified by:
    `getStatusQuery` in interface `RegistryObjectQueryType`
  Returns:
    the value of the 'Status Query' containment reference.
  See Also:
    `RegistryObjectQueryType.setStatusQuery(ClassificationNodeQueryType)`, `QueryPackage.getRegistryObjectQueryType_StatusQuery()`

### basicSetStatusQuery

    public org.eclipse.emf.common.notify.NotificationChain basicSetStatusQuery(ClassificationNodeQueryType newStatusQuery,
                                                                               org.eclipse.emf.common.notify.NotificationChain msgs)

### setStatusQuery

    public void setStatusQuery(ClassificationNodeQueryType newStatusQuery)

  Specified by:
    `setStatusQuery` in interface `RegistryObjectQueryType`
  Parameters:
    `newStatusQuery` - the new value of the 'Status Query' containment reference.
  See Also:
    `RegistryObjectQueryType.getStatusQuery()`

### getSourceAssociationQuery

    public org.eclipse.emf.common.util.EList getSourceAssociationQuery()

  Specified by:
    `getSourceAssociationQuery` in interface `RegistryObjectQueryType`
  Returns:
    the value of the 'Source Association Query' containment reference list.
  See Also:
    `QueryPackage.getRegistryObjectQueryType_SourceAssociationQuery()`

### getTargetAssociationQuery

    public org.eclipse.emf.common.util.EList getTargetAssociationQuery()

  Specified by:
    `getTargetAssociationQuery` in interface `RegistryObjectQueryType`
  Returns:
    the value of the 'Target Association Query' containment reference list.
  See Also:
    `QueryPackage.getRegistryObjectQueryType_TargetAssociationQuery()`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `FilterQueryTypeImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `FilterQueryTypeImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `FilterQueryTypeImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `FilterQueryTypeImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `FilterQueryTypeImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD